{+--------------------------------------------------------------------------+
 | Unit:   DemoUnit
 | Created:     8.97
 | Author:      Martin Waldenburg
 | Copyright    1997, all rights reserved.
 | Description: Demo for the BuffSort engine.
 | Version:     1.0
 | Status       FreeWare
 | It's provided as is, without a warranty of any kind.
 | You use it at your own risc.
 | E-Mail me at Martin.Waldenburg@t-online.de
 +--------------------------------------------------------------------------+}
unit DemoUn;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, BuffSort, mwFastTime;

type
  TForm1 = class(TForm)
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    Label1: TLabel;
    Button2: TButton;
    Time1: TmwFastTime;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    BuffSort: TBuffSort;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function Compare(Item1, Item2: Pointer): Integer;
begin
   Result:= CompareText(PMergeData(Item1)^.Data, PMergeData(Item2)^.Data);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  BuffSort:= TBuffSort.Create(Compare);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  BuffSort.Free;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    begin
      BuffSort.Init(OpenDialog1.FileName);
      BuffSort.MaxLines:= 200000;
      BuffSort.MaxMem:= 4000000;
      Time1.Start;
      BuffSort.Start;
      Time1.Stop;
      Label1.Caption:= Time1.ElapsedTime;
    end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Close;
end;

end.
